IPhysics: CPhysicsCorkscrew Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CPhysicsCorkscrew Class Reference

`#include <CPhysicsCorkscrew.h>`

Inherits IPhysicsJoint.

List of all members.

## Public Member Functions

| CPhysicsCorkscrew ()
| ~CPhysicsCorkscrew ()
void | init (NewtonWorld *world, SPhysicsCorkscrewJoint *jnt)
void | setUserCallback (NewtonSliderCallBack callback)
f32 | getHingeAngle ()
f32 | getJointAngle ()
f32 | getJointVelocity ()
f32 | getJointOmega ()
vector3df | getForce ()

## Static Private Member Functions

static unsigned _cdecl | corkscrewCallback (const NewtonJoint *corkscrew, NewtonHingeSliderUpdateDesc *desc)

## Static Private Attributes

static vector3df | m_breakForce
static f32 | m_minSlide
static f32 | m_maxSlide

## Constructor & Destructor Documentation

CPhysicsCorkscrew::CPhysicsCorkscrew | ( |  | ) |

CPhysicsCorkscrew::~CPhysicsCorkscrew | ( |  | ) |

## Member Function Documentation

void CPhysicsCorkscrew::init | ( | NewtonWorld * | world,
|  | SPhysicsCorkscrewJoint * | jnt |
| ) |  |  |

void CPhysicsCorkscrew::setUserCallback | ( | NewtonSliderCallBack | callback | ) |

f32 CPhysicsCorkscrew::getHingeAngle | ( |  | ) |

f32 CPhysicsCorkscrew::getJointAngle | ( |  | ) |

f32 CPhysicsCorkscrew::getJointVelocity | ( |  | ) |

f32 CPhysicsCorkscrew::getJointOmega | ( |  | ) |

vector3df CPhysicsCorkscrew::getForce | ( |  | ) |

unsigned CPhysicsCorkscrew::corkscrewCallback | ( | const NewtonJoint * | corkscrew,
|  | NewtonHingeSliderUpdateDesc * | desc |
| ) |  |  | `[static, private]`

## Member Data Documentation

vector3df CPhysicsCorkscrew::m_breakForce`[static, private]`

f32 CPhysicsCorkscrew::m_minSlide`[static, private]`

f32 CPhysicsCorkscrew::m_maxSlide`[static, private]`

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsCorkscrew.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsCorkscrew.cpp